<?php require_once( 'couch/cms.php' ); ?>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="apple-touch-icon" sizes="57x57" href="/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <title>Professional Support Handbook</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap Components -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <!-- FontAwesome v.5 -->
    <script src="redacted" crossorigin="anonymous" SameSite="none Secure"></script>
    <!-- Internal styles -->
    <link rel="stylesheet" id='internal-mip-css' href="/css/master-style.css" type='text/css'>
    <script type="text/javascript">
        function GetIEVersion() {
          var sAgent = window.navigator.userAgent;
          var Idx = sAgent.indexOf("MSIE");
        
          // If IE, return version number.
          if (Idx > 0){
            return parseInt(sAgent.substring(Idx+ 5, sAgent.indexOf(".", Idx)));
          }
          // If IE 11 then look for Updated user agent string.
          else if (!!navigator.userAgent.match(/Trident\/7\./)){
            return 11;
          }
          else{
            return 0; //It is not IE
          }
        }
        if (GetIEVersion() > 0){
          $(window).on('load',function(){
              $("link#internal-mip-css").attr('href', '/css/ie-style.css');
          });
        }
        </script>
    <script src="https://use.typekit.net/eyd2iqj.js"></script>
    <script>try{Typekit.load({ async: true });}catch(e){}</script>
</head>
<cms:template title='Foreign Country Requirements' clonable='1' icon='globe'  order='6'>
    <cms:editable name='country_code' label='Two-Letter Country Code' desc='Please be sure to use the ISO 3166 Country Code' type="text" maxlength="2" searchable="0" required="1" validator='exact_len=2 | alpha' validator_msg='exact_len=The Country Code field must be exactly 2 letters | alpha=The Country Code must only use the letters A-Z' />
    <cms:editable name='continent' label='Continent' type='dropdown' desc='Select one of these' opt_values='Please Select=- | Africa=africa | Asia=asia | Europe=europe | North America=north_america | South America=south_america | Oceania=oceania' required="1" validator_msg='required=You must select a Continent!' />
    <cms:editable name='patent_doc' label='Upload the Patent Requirements pdf document here' desc='Leave blank if document does not exist' type="file" />
    <cms:editable name='tm_doc' label='Upload the Trade Mark Requirements pdf document here' desc='Leave blank if document does not exist' type="file" />
    <cms:editable name='design_doc' label='Upload the Design Requirements pdf document here' desc='Leave blank if document does not exist' type="file" />
    <cms:config_form_view>
        <cms:field 'k_page_title' label='Country Name' />
    </cms:config_form_view>
</cms:template>
<body>
<nav class="navbar navbar-expand-xl navbar-dark justify-content-between">
    <a class="navbar-brand" href="/">BB Professional Support Handbook</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
<div class="collapse navbar-collapse" id="navbarSupportedContent">
<ul class="navbar-nav mr-auto">
    <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Patents
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/patents-uk.php">UKIPO</a>
            <a class="dropdown-item" href="/patents-ep.php">EPO</a>
            <a class="dropdown-item" href="/patents-wo.php">WIPO</a>
            <a class="dropdown-item" href="/patents-fx.php">Foreign</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/renewals.php#nav-pat">Renewals</a>
        </div>
    </li>
    <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Trade Marks
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/trade-marks-uk.php">UKIPO</a>
            <a class="dropdown-item" href="/trade-marks-eu.php">EUIPO</a>
            <a class="dropdown-item" href="/trade-marks-wo.php">WIPO</a>
            <a class="dropdown-item" href="/trade-marks-fx.php">Foreign</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/renewals.php#nav-tm">Renewals</a>
        </div>
    </li>
    <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Designs
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/designs-uk.php">UKIPO</a>
            <a class="dropdown-item" href="/designs-eu.php">EUIPO</a>
            <a class="dropdown-item" href="/designs-wo.php">WIPO</a>
            <a class="dropdown-item" href="/designs-fx.php">Foreign</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/renewals.php#nav-des">Renewals</a>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="/renewals.php">Renewals</a>
    </li>
    <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Misc.
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/misc.php">Misc Processes</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="/foreigns.php">Foreign Countries</a>
        </div>
    </li>
</ul>
<form class="form-inline my-2 my-lg-0" method="get" action="/search.php" anchor='0'>
    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="s">
    <button class="btn btn-outline my-2 my-sm-0" type="submit">Search</button>
</form>
</div>
</nav>
<div class="clearfix"></div>
<cms:if k_is_page >
<cms:set country_code_lc="<cms:php>echo(strtolower(<cms:show country_code />));</cms:php>" />
    <div class="container">
        <div class="row">
            <div class="col-12 pt-sm-5">
                <h1><cms:show k_page_title /> (<cms:show country_code />) <img src="https://flagcdn.com/48x36/<cms:show country_code_lc />.png" srcset="https://flagcdn.com/96x72/<cms:show country_code_lc />.png 2x, https://flagcdn.com/144x108/<cms:show country_code_lc />.png 3x" width="48" height="36" alt="<cms:show k_page_title />"></h1>
                <h4>To see WIPO's information page on this country, click <a href="https://www.wipo.int/directory/en/details.jsp?country_code=<cms:show country_code_lc />">here</a>.</h4>
                <br />
                <p><cms:if patent_doc ><i class="fas fa-check-square"></i> A Patents factsheet has been provided <a href="<cms:show patent_doc />">here</a>.<cms:else /><i class="far fa-square"></i> There is currently no Patents fact sheet available for this country.</cms:if></p>
                <p><cms:if tm_doc ><i class="fas fa-check-square"></i> A Trade Marks factsheet has been provided <a href="<cms:show tm_doc />">here</a>.<cms:else /><i class="far fa-square"></i> There is currently no Trade Marks fact sheet available for this country.</cms:if></p>
                <p><cms:if design_doc ><i class="fas fa-check-square"></i> A Designs factsheet has been provided <a href="<cms:show design_doc />">here</a>.<cms:else /><i class="far fa-square"></i> There is currently no Designs fact sheet available for this country.</cms:if></p>
            </div>
        </div>
        <div class="row">
            <div class="col-12 pt-sm-5">
                <h3>See a list of all <cms:pages count_only='1' /> countries currently documented <a href="<cms:show k_template_link />">here</a>.</h3>
            </div>
        </div>
    </div>
<cms:else />
    <cms:set selected_tag="<cms:gpc 'tag' method='get' />" />
    <cms:set continent_selection="<cms:php>echo ucwords(str_replace ('_', ' ', '<cms:show selected_tag />'));</cms:php>" />
    <div class="container">
        <div class="row justify-content-center">
            <iframe class="col-xl-10 col-md-12" scrolling="no" id="world_map" src="/worldmap.xml" scrolling="no" style="height:580px;width:auto;border:none;overflow:hidden;"></iframe>
        </div>
        <div class="row">
            <div class="col-12">
                <h1><i class="fas fa-globe-americas"></i> Foreign Country Requirements <i class="fas fa-globe-europe"></i></h1>
                <cms:if selected_tag ><p>displaying <cms:pages custom_field="continent=<cms:show selected_tag />" count_only='1' /> countries in "<cms:show continent_selection />" - <small><a href="/foreign-requirements.php">(show all <cms:pages count_only='1' /> countries)</a></small></p></cms:if>
            </div>
            <div class="col-12">
                <table class="table table-responsive-md table-striped table-hover">
                    <thead class="thead-dark">
                        <tr>
                            <th colspan="3" style="text-align:left; white-space: nowrap; border-right: 1px solid;" scope="colgroup">Country</th>
                            <th style="text-align:center; white-space: nowrap;" scope="col">Patents</th>
                            <th style="text-align:center; white-space: nowrap;" scope="col">Trade Marks</th>
                            <th style="text-align:center; white-space: nowrap;" scope="col">Designs</th>
                        </tr>
                    </thead>
                    <tbody>
                        <cms:if selected_tag >
                            <cms:pages orderby='country_code' order='asc' custom_field="continent=<cms:show selected_tag />" >
                                <cms:set country_code_lc="<cms:php>echo(strtolower(<cms:show country_code />));</cms:php>" />
                                <tr>
                                    <th class="country_code" style="text-align:center; white-space: nowrap;" scope="row"><a href="https://www.wipo.int/directory/en/details.jsp?country_code=<cms:show country_code />" data-toggle="tooltip" data-placement="right" title="See this country on WIPO"><cms:show country_code /></a></th>
                                    <td class="country_flag" style="text-align:center; white-space: nowrap;"><img src="https://flagcdn.com/h20/<cms:show country_code_lc />.png"></td>
                                    <td class="country_name" style="text-align:left; white-space: nowrap; border-right: 1px solid;"><a href="<cms:show k_page_link />"><cms:show k_page_title /></a></td>
                                    <td class="patent_requirements" style="text-align:center; white-space: nowrap;"><cms:if patent_doc ><a href="<cms:show patent_doc />" target="_blank" data-toggle="tooltip" data-placement="right" title="See this factsheet"><i class="fas fa-check-circle"></i></a><cms:else /><i class="far fa-times-circle"></i></cms:if></td>
                                    <td class="tm_requirements" style="text-align:center; white-space: nowrap;"><cms:if tm_doc ><a href="<cms:show tm_doc />" target="_blank" data-toggle="tooltip" data-placement="right" title="See this factsheet"><i class="fas fa-check-circle"></i></a><cms:else /><i class="far fa-times-circle"></i></cms:if></td>
                                    <td class="design_requirements" style="text-align:center; white-space: nowrap;"><cms:if design_doc ><a href="<cms:show design_doc />" target="_blank" data-toggle="tooltip" data-placement="right" title="See this factsheet"><i class="fas fa-check-circle"></i></a><cms:else /><i class="far fa-times-circle"></i></cms:if></td>
                                </tr>
                            </cms:pages>
                        <cms:else />
                            <cms:pages orderby='country_code' order='asc' >
                                <cms:set country_code_lc="<cms:php>echo(strtolower(<cms:show country_code />));</cms:php>" />
                                <tr>
                                    <th class="country_code" style="text-align:center; white-space: nowrap;" scope="row"><a href="https://www.wipo.int/directory/en/details.jsp?country_code=<cms:show country_code />" data-toggle="tooltip" data-placement="right" title="See this country on WIPO"><cms:show country_code /></a></th>
                                    <td class="country_flag" style="text-align:center; white-space: nowrap;"><img src="https://flagcdn.com/h20/<cms:show country_code_lc />.png"></td>
                                    <td class="country_name" style="text-align:left; white-space: nowrap; border-right: 1px solid;"><a href="<cms:show k_page_link />"><cms:show k_page_title /></a></td>
                                    <td class="patent_requirements" style="text-align:center; white-space: nowrap;"><cms:if patent_doc ><a href="<cms:show patent_doc />" target="_blank" data-toggle="tooltip" data-placement="right" title="See this factsheet"><i class="fas fa-check-circle"></i></a><cms:else /><i class="far fa-times-circle"></i></cms:if></td>
                                    <td class="tm_requirements" style="text-align:center; white-space: nowrap;"><cms:if tm_doc ><a href="<cms:show tm_doc />" target="_blank" data-toggle="tooltip" data-placement="right" title="See this factsheet"><i class="fas fa-check-circle"></i></a><cms:else /><i class="far fa-times-circle"></i></cms:if></td>
                                    <td class="design_requirements" style="text-align:center; white-space: nowrap;"><cms:if design_doc ><a href="<cms:show design_doc />" target="_blank" data-toggle="tooltip" data-placement="right" title="See this factsheet"><i class="fas fa-check-circle"></i></a><cms:else /><i class="far fa-times-circle"></i></cms:if></td>
                                </tr>
                            </cms:pages>
                        </cms:if>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</cms:if>
</body>
<footer>
    <div style="clear:both; text-align: center; z-index:99999 !important; display:block !important; visibility:visible !important;">
        <div style="position:relative; top:0; margin-right:auto;margin-left:auto; z-index:99999; display:block !important; visibility:visible !important;">

            <center><a href="https://www.couchcms.com/" title="CouchCMS - Simple Open-Source Content Management" style="visibility:visible !important;">Powered by CouchCMS</a></center><br />
        </div>
    </div>
</footer>
<?php COUCH::invoke(); ?>